summaryrefslogtreecommitdiffstats
path: root/development/quilt
diff options
context:
space:
mode:
author Arun Prasannan <polar@arunprasannan.com>2010-05-11 20:00:30 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:30 +0200
commit3ece659f38de2d0cb7861951957d854f1c952dc6 (patch)
tree9a0b30be8f657abdd483c46a0fcec052558d20e9 /development/quilt
parentcb3f56fc856ec4d1d90ba767eb6a9c7b0ece45b4 (diff)
downloadslackbuilds-3ece659f38de2d0cb7861951957d854f1c952dc6.tar.gz
slackbuilds-3ece659f38de2d0cb7861951957d854f1c952dc6.tar.xz
development/quilt: Added to 12.0 repository
Diffstat (limited to 'development/quilt')
-rw-r--r--development/quilt/README8
-rw-r--r--development/quilt/doinst.sh15
-rw-r--r--development/quilt/quilt.SlackBuild81
-rw-r--r--development/quilt/quilt.info8
-rw-r--r--development/quilt/slack-desc19
5 files changed, 131 insertions, 0 deletions
diff --git a/development/quilt/README b/development/quilt/README
new file mode 100644
index 0000000000..b75de6f385
--- /dev/null
+++ b/development/quilt/README
@@ -0,0 +1,8 @@
+These scripts allow to manage a series of patches by keeping track of the
+changes each patch makes. Patches can be applied, un-applied, refreshed, etc.
+
+The key philosophical concept is that your primary output is patches. Not ".c"
+files, not ".h" files, but patches, so patches are the first-class object here.
+
+Quilt was originally based on Andrew Morton's patch scripts published on the
+linux kernel mailing list a while ago, but were heavily modified since then.
diff --git a/development/quilt/doinst.sh b/development/quilt/doinst.sh
new file mode 100644
index 0000000000..c4d4cf05a9
--- /dev/null
+++ b/development/quilt/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/quilt.quiltrc.new
+
diff --git a/development/quilt/quilt.SlackBuild b/development/quilt/quilt.SlackBuild
new file mode 100644
index 0000000000..f45b5e8d2a
--- /dev/null
+++ b/development/quilt/quilt.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for quilt
+
+# Copyright (C) 2007 Arun Prasannan <polar@arunprasannan.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAME=quilt
+VERSION=0.46
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAME
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAME-$VERSION
+tar xvf $CWD/$PRGNAME-$VERSION.tar.gz
+cd $PRGNAME-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc
+
+make
+make install BUILD_ROOT=$PKG docdir=/usr/doc
+
+# Don't clobber the config file
+mv $PKG/etc/quilt.quiltrc $PKG/etc/quilt.quiltrc.new
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( find $PKG/usr/man -type f -name "*.?" | xargs gzip -9f )
+
+cp -a AUTHORS COPYING TODO quilt.changes $PKG/usr/doc/$PRGNAME-$VERSION
+cat $CWD/$PRGNAME.SlackBuild > $PKG/usr/doc/$PRGNAME-$VERSION/$PRGNAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/quilt/quilt.info b/development/quilt/quilt.info
new file mode 100644
index 0000000000..8736e14b41
--- /dev/null
+++ b/development/quilt/quilt.info
@@ -0,0 +1,8 @@
+PRGNAM="quilt"
+VERSION="0.46"
+HOMEPAGE="http://savannah.nongnu.org/projects/quilt"
+DOWNLOAD="http://download.savannah.gnu.org/releases/quilt/quilt-0.46.tar.gz"
+MD5SUM="4508546d1ed0257ef7c128b6121b7208"
+MAINTAINER="Arun Prasannan"
+EMAIL="polar@arunprasannan.com"
+APPROVED="rworkman"
diff --git a/development/quilt/slack-desc b/development/quilt/slack-desc
new file mode 100644
index 0000000000..1497bf4d93
--- /dev/null
+++ b/development/quilt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+quilt: Quilt (Tool to work with patches)
+quilt:
+quilt: Quilt allows to manage a series of patches by keeping track of the
+quilt: changes each patch makes. Patches can be applied, un-applied,
+quilt: refreshed, etc.
+quilt: Quilt was originally based on Andrew Morton's patch scripts published
+quilt: on the linux kernel mailing list a while ago, but were heavily
+quilt: modified since then.
+quilt:
+quilt: Homepage: http://savannah.nongnu.org/projects/quilt
+quilt: